--DISPLAY
function()
    return aura_env.fevered .. "/" .. aura_env.swings
end

--COMBAT_LOG_EVENT_UNFILTERED
function(...)
    local subEvent = select(3, ...)
    local target = select(10, ...)
    local caster = select(6, ...)
    local spell = select(14, ...)
    if subEvent == "SWING_DAMAGE" and target == UnitName("player") and UnitBuff("player", "Infernal Skin") then
        aura_env.swings = aura_env.swings + 1
    end
    if subEvent == "SPELL_DAMAGE" and caster == UnitName("player") and UnitBuff("player", "Infernal Skin") and spell == "Fevered Touch" then
        aura_env.fevered = aura_env.fevered + 1
    end
end

--PLAYER_REGEN_DISABLED
function()
    aura_env.swings = 0
    aura_env.fevered = 0
end

--INIT
aura_env.swings = 0
aura_env.fevered = 0
